tigase.io

## Class TLSUtil

- java.lang.Object
- - tigase.io.TLSUtil

-     public abstract class TLSUtil
      extends Object

  Describe class TLSUtil here. Created: Mon Jan 23 14:21:31 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addCertificate(Map<String,String> params)` Method description
    `static void` | `configureSSLContext(Map<String,Object> params)` Method description
    `static SSLContext` | `getSSLContext(String protocol, String hostname)` Method description
    `static SSLContext` | `getSSLContext(String protocol, String hostname, boolean clientMode)` Method description
    `static SSLContext` | `getSSLContext(String protocol, String hostname, boolean clientMode, TrustManager... tm)`
    `static KeyStore` | `getTrustStore()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSUtil

          public TLSUtil()

  - ### Method Detail

    - #### addCertificate

          public static void addCertificate(Map<String,String> params)
                                     throws CertificateParsingException

      Method description
      Parameters:
        `params` -
      Throws:
        `CertificateParsingException`

    - #### configureSSLContext

          public static void configureSSLContext(Map<String,Object> params)

      Method description
      Parameters:
        `params` -

    - #### getSSLContext

          public static SSLContext getSSLContext(String protocol,
                                                 String hostname)

      Method description
      Parameters:
        `protocol` -
        `hostname` -

    - #### getSSLContext

          public static SSLContext getSSLContext(String protocol,
                                                 String hostname,
                                                 boolean clientMode)

      Method description
      Parameters:
        `protocol` -
        `hostname` -

    - #### getSSLContext

          public static SSLContext getSSLContext(String protocol,
                                                 String hostname,
                                                 boolean clientMode,
                                                 TrustManager... tm)

    - #### getTrustStore

          public static KeyStore getTrustStore()

      Method description

Copyright © 2022 "Tigase, Inc.". All rights reserved.